Buteo Synchronization Framework: Buteo::ServerPluginRunner Class Reference

Buteo Synchronization Framework

Public Member Functions | List of all members
Buteo::ServerPluginRunner Class Reference

Class for running server sync plug-ins. More...

`#include <ServerPluginRunner.h>`

Inheritance diagram for Buteo::ServerPluginRunner:

## Public Member Functions
| ServerPluginRunner (const QString &aPluginName, Profile *aProfile, PluginManager *aPluginMgr, PluginCbInterface *aPluginCbIf, ServerActivator *aServerActivator, QObject *aParent=0)
| Constructor. More...
virtual | ~ServerPluginRunner ()
| Destructor.
virtual bool | init ()
virtual bool | start ()
virtual void | stop ()
virtual void | abort (Sync::SyncStatus aStatus=Sync::SYNC_ABORTED)
virtual SyncResults | syncResults ()
virtual SyncPluginBase * | plugin ()
virtual bool | cleanUp ()
void | suspend ()
void | resume ()
Public Member Functions inherited from Buteo::PluginRunner
| PluginRunner (PluginType aPluginType, const QString &aPluginName, PluginManager *aPluginMgr, PluginCbInterface *aPluginCbIf, QObject *aParent=0)
| Constructor. More...
virtual bool | init ()=0
| Initializes the plug-in runner. More...
virtual bool | start ()=0
| Starts running the plug-in. More...
virtual void | stop ()=0
| Stops running the plug-in. More...
virtual void | abort (Sync::SyncStatus aStatus=Sync::SYNC_ABORTED)=0
| Aborts running the plug-in. More...
virtual SyncResults | syncResults ()=0
| Gets the sync results from the plug-in. More...
virtual bool | cleanUp ()=0
| Calls the cleanup for the plugin. More...
PluginType | pluginType () const
| Gets the plug-in type. More...
QString | pluginName () const
| Gets the plug-in name. More...
virtual SyncPluginBase * | plugin ()=0
| Gets the plug-in associated with this plug-in runner. More...

## Additional Inherited Members
Public Types inherited from Buteo::PluginRunner
enum | PluginType { PLUGIN_CLIENT , PLUGIN_SERVER }
| Plug-in type: client or server.
Signals inherited from Buteo::PluginRunner
void | transferProgress (const QString &aProfileName, Sync::TransferDatabase aDatabase, Sync::TransferType aType, const QString &aMimeType, int aCommittedItems)
void | error (const QString &aProfileName, const QString &aMessage, SyncResults::MinorCode aErrorCode)
void | success (const QString &aProfileName, const QString &aMessage)
void | storageAccquired (const QString &aMimeType)
void | syncProgressDetail (const QString &aProfileName, int aProgressDetail)
void | done ()
| Signal sent when the plug-in runner has finished. More...
void | newSession (const QString &aDestination)
void | connectivityStateChanged (Sync::ConnectivityType aType, bool aState)
Protected Attributes inherited from Buteo::PluginRunner
bool | iInitialized
| Initialization status of the plugin.
PluginManager * | iPluginMgr
| pointer to an instance of plugin manager
PluginCbInterface * | iPluginCbIf
| pointer to an instance of synchronizer
PluginType | iType
| type of the plugin
QString | iPluginName
| name of the plugin

## Detailed Description

Class for running server sync plug-ins.

## Constructor & Destructor Documentation

## ◆ ServerPluginRunner()

ServerPluginRunner::ServerPluginRunner | ( | const QString & | aPluginName,
|  | Profile * | aProfile,
|  | PluginManager * | aPluginMgr,
|  | PluginCbInterface * | aPluginCbIf,
|  | ServerActivator * | aServerActivator,
|  | QObject * | aParent = `0`
| ) |  |

Constructor.

Parameters

  aPluginName | Name of the plug-in to run
  aProfile | Profile for the server plug-in. Ownership is transferred.
  aPluginMgr | PluginManager instance for creating and destroying plug-ins by name
  aPluginCbIf | Callback interface that the created plug-in can use
  aServerActivator | Server activator, controls enabled/disabled state of the server plug-in
  aParent | Parent object

## Member Function Documentation

## ◆ abort()

void ServerPluginRunner::abort | ( | Sync::SyncStatus | aStatus = `Sync::SYNC_ABORTED` | ) |
| virtual

See also
  PluginRunner::abort

Implements Buteo::PluginRunner.

## ◆ cleanUp()

bool ServerPluginRunner::cleanUp | ( |  | ) |
| virtual

See also
  PluginRunner::plugin

Implements Buteo::PluginRunner.

## ◆ init()

bool ServerPluginRunner::init | ( |  | ) |
| virtual

See also
  PluginRunner::init

Implements Buteo::PluginRunner.

## ◆ plugin()

SyncPluginBase * ServerPluginRunner::plugin | ( |  | ) |
| virtual

See also
  PluginRunner::plugin

Implements Buteo::PluginRunner.

## ◆ start()

bool ServerPluginRunner::start | ( |  | ) |
| virtual

See also
  PluginRunner::start

Implements Buteo::PluginRunner.

## ◆ stop()

void ServerPluginRunner::stop | ( |  | ) |
| virtual

See also
  PluginRunner::stop

Implements Buteo::PluginRunner.

## ◆ syncResults()

SyncResults ServerPluginRunner::syncResults | ( |  | ) |
| virtual

See also
  PluginRunner::syncResults

Implements Buteo::PluginRunner.

The documentation for this class was generated from the following files:

- ServerPluginRunner.h
- ServerPluginRunner.cpp